import 'dart:async';
import 'dart:html' as html;
import 'package:flutter/material.dart';
import 'package:flutter_web_plugins/flutter_web_plugins.dart';
import 'package:libbase_interface/libbase_interface.dart';

/// The web implementation of [UrlLauncherPlatform].
///
/// This class implements the `package:url_launcher` functionality for the web.
class BasePlugin extends BaseInterface {
  /// Registers this class as the default instance of [UrlLauncherPlatform].
  static void registerWith(Registrar registrar) {
    BaseInterface.instance = BasePlugin();
  }

  @override
  Future<bool> navigate(BuildContext context, String url) async {
    print('web navigate: ' + url);
    html.window.location.href = url;
    return true;
  }
}
