@TestOn('chrome') // Uses web-only Flutter SDK

import 'dart:html' as html;
import 'package:flutter/material.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:libbase/libbase.dart';
import 'package:libbase_web/libbase_web.dart';
import 'package:libbase_interface/libbase_interface.dart';

void main() {
  group('libbase_web', () {
    setUp(() {
      BaseInterface.instance = BasePlugin();
    });

    test('should set default interface', () {
      expect(BaseInterface.instance, isA<BasePlugin>());
    });

    testWidgets('should navigate', (WidgetTester tester) async {
      await tester.pumpWidget(
        Builder(
          builder: (BuildContext context) {
            expect(navigate(context, 'http://mock'), completion(isTrue));
            return Placeholder();
          },
        ),
      );
    });
  });
}
